// 医师认证路由

import Layout from '@/layout'
// 授权管理页面
const doctorRoutes = [
  {
    path: '/doctor',
    component: Layout,
    alwaysShow: true,
    redirect: '/doctor/list',
    name: 'Doctor',
    meta: { title: '医师认证', icon: 'el-icon-user-solid', roles: ['normal'], noCache: true, proxy: true },
    children: [
      {
        path: 'list',
        component: () => import('@/views/normal/doctor'),
        name: 'DoctorList',
        meta: { title: '医师列表', roles: ['normal'], noCache: true, proxy: true }
      },
      {
        hidden: true,
        path: 'add',
        component: () => import('@/views/normal/doctor/edit'),
        name: 'DoctorAdd',
        meta: { title: '添加医师', roles: ['normal'], noCache: true, proxy: true }
      },
      {
        hidden: true,
        path: 'edit',
        component: () => import('@/views/normal/doctor/edit'),
        name: 'DoctorEdit',
        meta: { title: '修改医师资料', roles: ['normal'], noCache: true, proxy: true }
      }
    ]
  }
]

export default doctorRoutes
